> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superdash.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Knowledge Base

### Authorizations

<ParamField header="x-api-key" type="string" required>
  API key associated with your workspace
</ParamField>

### Path Parameters

<ParamField path="workspaceId" type="string" required>
  UUID of the workspace
</ParamField>

<ParamField path="kbId" type="string" required>
  UUID of the knowledge base.
</ParamField>

### Response

<ResponseField name="knowledgeBase" type="object">
  <Expandable title="fields">
    <ResponseField name="label" type="string">
      The Name of the Knowledge Base
    </ResponseField>

    <ResponseField name="paragraphs" type="array">
      <Expandable title="fields">
        <ResponseField name="value" type="object">
          <Expandable title="fields">
            <ResponseField name="data" type="string">
              The Paragraph Content
            </ResponseField>
          </Expandable>
        </ResponseField>

        <ResponseField name="key" type="string">
          The Unique `Key` for the paragraph
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
      "knowledgeBase": {
          "label": "The Name of the knowledge base",
          "paragraphs": [
              {
                  "value": {
                      "data": "The content of the paragraph",
                  },
                  "key": "The paragraph key"
              }
          ],
      }
  }
  ```

  ```json 400 theme={null}
  {
      "msg": "Bad request"
  }
  ```

  ```json 401 theme={null}
  {
      "msg": "Api key is not valid"
  }
  ```
</ResponseExample>
